---
title: "Процесс и правила развития проекта"
date: 2020-09-11
draft: true

categories:
- users
- devs
---

Цель проекта — приватность. У каждого свое представление как этого достичь. На старте я обозначаю цели и приоритеты, потому что я плачу и деньгами с своим временем. Если донатов от сообщества будет достаточно, чтобы я перешел на полный рабочий день, я буду рад внедрить холакратию, и тогда сообщество будет определять пути развития. А пока мое виденье:

<!--more-->

# Пути развития

Развития SelfPrivacy — это развитие его составляющих:

* Приватность (Privacy)
* Надежность (Reliability)
* Безопасность (Security)
* Добавление сервисов (Services)
* Пользовательский опыт (UX)
  * Пользовательская среда (UX-Users)
  * Среда разработки (UX-Devs)
    * Система финансирования
    * Git, CI/CD

**Этапы развития: достаточно неплохо, хорошо, подходит для обычного пользователя, отлично**

## Приватность

Представьте себе пересылку бумажного письма и электронного. Как много людей имеют возможность его прочесть:

1. Тот кто влезет в почтовый ящик + почтальон + сортировщик писем + тоже самое на стороне получателя.
2. Ваш почтовый провайдер + провайдер получателя

Наша цель — только получатель может прочесть ваше письмо и никто больше. Это и есть "приватность".

Развивать приватность можно:

- **сервисами**. Чем больше разных сервисов в SelfPrivacy, тем меньше мы будем пользоваться неприватными.
- **в сервисах**. Развивать приватность внутри сервисов.
- **инфраструктуре**. Фундамент должен быть приватен.
- **среде разработки**. Компрометация инфраструктуры разработки может привести к компрометации пользовательских серверов, например после обновления.

Достаточно неплохо для

* сервисов: почта, Delta.Chat и бэкапы
* в сервисах: почта на диске? (у себя хостить идеально), передача почты и бэкапы шифруются 
* инфраструктуры: надеяься, что у хостера диски пошифрованы
* среды разработки: pull request review

## Надежность

* Сервисов: reboot on failure, goss monitoring, ограничение ресурсов для каждого сервиса
* инфраструктура: ceph, auto-update, autoresore, goss monitoring + Crashping, SquadCast?
* Среда разработки: может и полежать немного, backup

## Безопасность

* Сервисов: сложный пароль
* Инфрастркутуры: 2FA

## Сервисы

## Пользовательский опыт