{ pkgs, ... }: {
  imports = [
    ./hardware-configuration.nix
    ./mailserver.nix
	#./goss.nix
	./restic.nix
  ];

  boot.cleanTmpDir = true;
  networking.hostName = "nixos-mailserver";
  networking.firewall.allowPing = true;
  networking.firewall.allowedTCPPorts = [ 22 443 80 143 993 587 25 465 ];
  networking.firewall.allowedUDPPorts = [ 443 80 143 993 587 25 465 ];
  services.openssh.enable = true;
  users.users.root.openssh.authorizedKeys.keys = [
	
  ];
  environment.systemPackages = with pkgs; [
    htop
    vim
    letsencrypt
    opendkim
	restic
  ];
  system.autoUpgrade.enable = true;
  system.autoUpgrade.allowReboot = false;
}
